package microfolie.entry.rest;

import java.util.logging.Logger;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;

import org.json.JSONArray;
import org.json.JSONObject;

import microfolie.service.UsagerService;
import microfolie.utils.JsonUtils;

@Path("/usager")
@Produces("application/json")
public class UsagerController {
	
	private static final Logger LOGGER = Logger.getLogger(EspaceController.class.getName());
	
	private UsagerService service = UsagerService.getInstance();
	
	@GET
	@Path("/page/{num}/{perPage}")
	public String page(@PathParam("num") int num, @PathParam("perPage") int perPage) {
		LOGGER.info("Begin: Usager page (num: " + num + ", perPage: " + perPage + ")");
		JSONObject data = new JSONObject();
		data.put("total", service.getTotalNumber());
		data.put("list", new JSONArray(service.getPage(num, perPage)));
		LOGGER.info("End: Usager page");
		return JsonUtils.success(data).toString();
	}

}
